### Function

# Camel Operation dup_message

since: 3.52

#### Declaration [src]

    gchar*
    camel_operation_dup_message (
      GCancellable* cancellable
    )

#### Description [src]

Duplicates current operation message, or returns `NULL`, if no such is available. The message as the last text set by camel_operation_push_message().

Free the returned text with g_free(), when no longer needed.

This function only works if `cancellable` is a `CamelOperation` cast as a `GCancellable`. If `cancellable` is a plain `GCancellable` or `NULL`, the function does nothing and returns silently.

Available since: 3.52

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A copy of the last text set by camel_operation_push_message(), or `NULL`, when none is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.